View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000592Ecere SDKidepublic2011-05-29 19:242013-05-19 22:15
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000592: Debugger is badly broken
DescriptionFirst time attempting to start debugging fails systematically

The Debug output says:

Debugger Error: No target process ID
Debugging stopped

(A message that previously appeared rarely, once in a while when the timing of waiting for the debugger took too long)
Steps To Reproduce- F5 debug the program (works)
- Recompile 1 file and build
- F5 (always fails)
Additional InformationThis could be related to the fact that after a while breakpoints stop working.
They still display in the IDE (they don't show as disabled, I don't recall seeing any messages in the log regarding them being disabled).

But the debugger doesn't stop on them anymore. Restarting the IDE and debugging again always fixes it.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000589closedredj debugger stopped without confirmation when trying to build other project configuration 
related to 0000435closedredj right click build while in debug session: session is ended without confirmation 

-  Notes
(0000439)
redj (administrator)
2011-05-30 00:12

http://ecere.com/cgi-bin/gitweb.cgi?p=sdk;a=commit;h=15dd70a18ecbd8bdfccfd6ed2f179090f03de825 [^]
(0000442)
jerome (administrator)
2011-06-06 02:15
edited on: 2011-06-06 04:44

This broke switching config.
The first config ran as debug keeps running regardless of switching the config.

Fixed in:
http://github.com/ecere/sdk/commit/04a442b9f8b801374feb3ea43561c5d489ff52e7 [^]


- Issue History
Date Modified Username Field Change
2011-05-29 19:24 jerome New Issue
2011-05-29 19:25 jerome Description Updated
2011-05-30 00:12 redj Status new => assigned
2011-05-30 00:12 redj Assigned To => redj
2011-05-30 00:12 redj Note Added: 0000439
2011-05-30 00:12 redj Relationship added related to 0000589
2011-05-30 00:13 redj Relationship added related to 0000435
2011-06-06 02:15 jerome Note Added: 0000442
2011-06-06 04:44 jerome Note Edited: 0000442
2011-06-10 07:18 jerome Status assigned => resolved
2011-08-23 17:32 jerome Resolution open => fixed
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker